From b75ed9efb5f97adea7405c4ee9031775b4ed87b2 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Tue, 22 Sep 2020 14:10:51 -0400
Subject: [PATCH 2/5] Remove references to BigSQL packages

The BigSQL packages are no longer publicly available, and
various parts of the BigSQL packages in the website had already
been commented out.
---
 templates/pages/download.html                 | 12 -------
 .../pages/download/linux/linux_openscg.inc    | 18 ----------
 templates/pages/download/linux/redhat.html    |  2 --
 templates/pages/download/linux/suse.html      |  2 --
 templates/pages/download/linux/ubuntu.html    |  2 --
 templates/pages/download/macosx.html          | 19 -----------
 templates/pages/download/windows.html         | 34 -------------------
 7 files changed, 89 deletions(-)
 delete mode 100644 templates/pages/download/linux/linux_openscg.inc

diff --git a/templates/pages/download.html b/templates/pages/download.html
index f1d9663..d277f61 100644
--- a/templates/pages/download.html
+++ b/templates/pages/download.html
@@ -108,18 +108,6 @@ be used <strong>for testing purposes only</strong>, and not for production syste
   with the PostgreSQL database.
 </p>
 
-{% comment %}
-<h3>PostgreSQL and Hadoop Integration</h3>
-<p>
-<a href="http://www.bigsql.org/se/">BigSQL</a> provides
-a developer friendly bundle of tools for the data guru focused
-on analytics. This bundle combines Postgres and Hadoop through the
-<a href="http://www.hadoopfdw.org">HadoopFDW</a> to allow for
-simplified analysis of data using included and integrated analytics
-tools such as HBase, Hive, Pig, DataFu, Flume, Sqoop and others.
-</p>
-{% endcomment %}
-
 <h3>Ready to run stacks</h3>
 <p>
 'LAPP', 'MAPP' and 'WAPP' (Linux/Mac/Windows + Apache + PHP + PostgreSQL)
diff --git a/templates/pages/download/linux/linux_openscg.inc b/templates/pages/download/linux/linux_openscg.inc
deleted file mode 100644
index 7e69e06..0000000
--- a/templates/pages/download/linux/linux_openscg.inc
+++ /dev/null
@@ -1,18 +0,0 @@
-<h2>Cross distribution packages</h2>
-<p>
-Generic RPM and DEB packages that provide a server-only distribution
-are available for some 32 and 64-bit Linux distributions.  These
-packages provide a single set of binaries and consistent packaging
-across different Linux distributions.  They are designed for server
-installation where a GUI is not available and consistency across
-multiple distributions is a requirement.
-</p>
-<p>
-<a href="https://www.bigsql.org/postgresql/installers.jsp">Download</a>
-the packages from BigSQL for all supported versions.
-</p>
-
-<p>
-<em>Note:</em> The cross distribution packages do not fully integrate with
-the platform-specific packaging systems.
-</p>
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index 786b3df..5a5b59c 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -181,8 +181,6 @@ all the RPMs that are in the yum repository are available for
 and manual installation as well.
 </p>
 
-{%include "pages/download/linux/linux_openscg.inc" %}
-
 {%include "pages/download/linux/linux_oneclick.inc" %}
 
 <h3>Platform support</h3>
diff --git a/templates/pages/download/linux/suse.html b/templates/pages/download/linux/suse.html
index 17f9b2d..6df6b44 100644
--- a/templates/pages/download/linux/suse.html
+++ b/templates/pages/download/linux/suse.html
@@ -32,8 +32,6 @@ Use the <a href="https://software.opensuse.org/search" target="_blank">search fa
 to find suitable packages. Documentation is also available there.
 </p>
 
-{%include "pages/download/linux/linux_openscg.inc" %}
-
 {%include "pages/download/linux/linux_oneclick.inc" %}
 
 <h3>Platform support</h3>
diff --git a/templates/pages/download/linux/ubuntu.html b/templates/pages/download/linux/ubuntu.html
index a2033b0..08f2190 100644
--- a/templates/pages/download/linux/ubuntu.html
+++ b/templates/pages/download/linux/ubuntu.html
@@ -108,8 +108,6 @@ version number as required):
   </tbody>
 </table>
 
-{%include "pages/download/linux/linux_openscg.inc" %}
-
 {%include "pages/download/linux/linux_oneclick.inc" %}
 
 <h3>Platform support</h3>
diff --git a/templates/pages/download/macosx.html b/templates/pages/download/macosx.html
index 3e78087..7f8a2c9 100644
--- a/templates/pages/download/macosx.html
+++ b/templates/pages/download/macosx.html
@@ -85,25 +85,6 @@ This download is intended for users who wish to include PostgreSQL as part of an
   </tbody>
 </table>
 
-{% comment %}
-<h2>Graphical installer by BigSQL</h2>
-
-<p>
-<a href="https://www.bigsql.org/postgresql/installers.jsp">Download</a> the
-macOS installer from BigSQL for all supported versions.
-</p>
-
-<p>
-This distribution includes the PostgreSQL server, a graphical component manager,
-command line and graphical tools for managing databases, plus many
-open source community components. Integrated components include web
-and desktop developer tools, geospatial, provisioning &amp; management,
-compatibility &amp; migration, backup/restore,
-and integration with external databases (Cassandra, Oracle, SQL Server, Hadoop),
-and procedural languages (Python, Perl, Java, and TCL).
-</p>
-{% endcomment %}
-
 <h2>Postgres.app</h2>
 <p>
 <a href="https://postgresapp.com">Postgres.app</a> is a simple, native macOS app that runs in the menubar without the need of an installer. Open the app, and you have a PostgreSQL server
diff --git a/templates/pages/download/windows.html b/templates/pages/download/windows.html
index 97a87bc..6673190 100644
--- a/templates/pages/download/windows.html
+++ b/templates/pages/download/windows.html
@@ -75,38 +75,4 @@ This download is intended for users who wish to include PostgreSQL as part of an
   </tbody>
 </table>
 
-{% comment %}
-<h2>Graphical installer by BigSQL</h2>
-
-<p>
-<a href="https://www.bigsql.org/postgresql/installers.jsp">Download the
-graphical installer</a> from BigSQL for all supported versions.
-</p>
-
-<p>
-This distribution includes the PostgreSQL server, a graphical component
-manager, command line and graphical tools for managing databases, plus
-many open source community components.
-</p>
-<p>
-Integrated components include web and desktop developer tools, geospatial,
-provisioning &amp; management, compatibility &amp; migration,
-backup/restore, integration with external databases (Cassandra,
-Oracle, SQL Server, Hadoop), and procedural languages (Python, Perl, Java, and TCL).
-</p>
-
-<p>
-This distribution is a fast, developer-friendly way to get a complete PostgreSQL
-environment installed and running. It uses an open source toolchain to build
-PostgreSQL and extensions, which simplifies cross-platform development of
-extensions.
-</p>
-
-<p>
-Advanced users can also download a
-<a href="https://www.bigsql.org/package-manager.jsp">command line</a>
-version of the distribution, for scriptable installs or embedding with other applications.
-</p>
-{% endcomment %}
-
 {%endblock%}
-- 
2.21.1 (Apple Git-122.3)

